#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name: nonce
version: 1.0.7
id: nonce-1.0.7-8CmUmIjl2tk2WZ1aAkE5W9
key: nonce-1.0.7-8CmUmIjl2tk2WZ1aAkE5W9
license: BSD-3-Clause
copyright: (c) 2014 Prowdsponsor
maintainer: Prowdsponsor <opensource@prowdsponsor.com>
author: Felipe Lessa <felipe.lessa@prowdsponsor.com>
homepage: https://github.com/prowdsponsor/nonce
synopsis: Generate cryptographic nonces.
description:
    According to the Wikipedia, a nonce is an arbitrary number used
    only once in a cryptographic communication.  This package
    contain helper functions for generating nonces.
    .
    There are many kinds of nonces used in different situations.
    It'\''s not guaranteed that by using the nonces from this package
    you won'\''t have any security issues.  Please make sure that the
    nonces generated via this package are usable on your design.
category: Cryptography
abi: 0c84b5de7f3545607fd65114f02fea83
exposed: True
exposed-modules:
    Crypto.Nonce
import-dirs: /usr/lib/ghc-8.4.2/site-local/nonce-1.0.7
library-dirs: /usr/lib/ghc-8.4.2/site-local/nonce-1.0.7
dynamic-library-dirs: /usr/lib
data-dir: /usr/share/x86_64-linux-ghc-8.4.2/nonce-1.0.7
hs-libraries: HSnonce-1.0.7-8CmUmIjl2tk2WZ1aAkE5W9
depends:
    base-4.11.1.0 base64-bytestring-1.0.0.1-4OCIe2BZn8jKI191JIXI37
    bytestring-0.10.8.2 text-1.2.3.0 transformers-0.5.5.0
    entropy-0.3.8-3mbkpbP1M3JfJE5J1Kx22
    unliftio-0.2.7.0-DcBGQOo3Xv0JVWz41KGMKr
    unliftio-core-0.1.1.0-LMRC2BJekXQHTjQ89kypYp
abi-depends: base-4.11.1.0=ecd125f03c784a67b61c9a8f6dd222e4
             base64-bytestring-1.0.0.1-4OCIe2BZn8jKI191JIXI37=7722d2d1f9adcb92b317b3a43d084a70
             bytestring-0.10.8.2=c1695cedf0cebf0c12d34c90fb94a65f
             text-1.2.3.0=5654b56910ce698015ec900075c28f62
             transformers-0.5.5.0=02be5c4dc3fdc926cf1b36bd484a25f8
             entropy-0.3.8-3mbkpbP1M3JfJE5J1Kx22=6b12e6710669055c7d543d98e3a5ebd3
             unliftio-0.2.7.0-DcBGQOo3Xv0JVWz41KGMKr=ba3206159692e3461a0972b54b68024b
             unliftio-core-0.1.1.0-LMRC2BJekXQHTjQ89kypYp=4c5529307e59f83eb0edc9e3bb0da174
haddock-interfaces: /usr/share/doc/haskell-nonce/html/nonce.haddock
haddock-html: /usr/share/doc/haskell-nonce/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

